# Uses of Class
net.postgis.jdbc.PGboxbase

## Uses of PGboxbase in net.postgis.jdbc

Subclasses of PGboxbase in net.postgis.jdbc
Modifier and Type
Class
Description
`class`
`PGbox2d`
`class`
`PGbox3d`
Methods in net.postgis.jdbc that return PGboxbase
Modifier and Type
Method
Description
`protected PGboxbase`
PGbox2d.`newInstance()`
`protected PGboxbase`
PGbox3d.`newInstance()`
`protected abstract PGboxbase`
PGboxbase.`newInstance()`
Obtain a new instance of a PGboxbase We could have used this.getClass().newInstance() here, but this forces us dealing with InstantiationException and IllegalAccessException.